import type { AccountId } from "../models/AccountId";
import type { RemoveUpstreamBatch } from "../models/RemoveUpstreamBatch";
import type { Upstream } from "../models/Upstream";
import type { UpstreamData } from "../models/UpstreamData";
import type { UpstreamId } from "../models/UpstreamId";
export declare class UpstreamsService {
    /**
     * Adds an upstream to the account.
     * @param accountId
     * @param requestBody
     * @returns Upstream Success.
     * @throws ApiError
     */
    static addUpstream(accountId: AccountId, requestBody: UpstreamData): Promise<Upstream>;
    /**
     * Removes multiple upstreams from the account.
     * @param accountId
     * @param requestBody
     * @returns void
     * @throws ApiError
     */
    static removeUpstreamBatch(accountId: AccountId, requestBody: RemoveUpstreamBatch): Promise<void>;
    /**
     * Removes an upstream from the account.
     * @param accountId
     * @param upstreamId
     * @returns void
     * @throws ApiError
     */
    static removeUpstream(accountId: AccountId, upstreamId: UpstreamId): Promise<void>;
}
